#include <stdio.h>
#include <limits.h>
#include <string.h>
#include <stdarg.h>
#include <errno.h>

char *create_path(const char *fmt, ...) {
	va_list args;
	va_start(args, fmt);

	static char path[PATH_MAX + 1];
	vsnprintf(path, sizeof(path) - 1, fmt, args);
	va_end(args);

	return path;
}

FILE *file_open(const char *prog_name, const char *file, const char *mode) {
	FILE *fp = fopen(file, mode);
	if (fp == NULL) {
		fprintf(stderr, "%s: %s: %s\n", prog_name, file, strerror(errno));
		return NULL;
	}

	return fp;
}
